com.aliyun.svideosdk.common.struct.effect

## Class ActionRotateTo

- java.lang.Object
- - ActionRotateBase
  - - com.aliyun.svideosdk.common.struct.effect.ActionRotateTo

-     public class ActionRotateTo
      extends ActionRotateBase

  A class that defines rotations by points.
  See Also:
    `ActionRotate`, `ActionRotateBy`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected float` | `mFromDegree` The angle of the start point in radians.
    `protected float` | `mRotateToDegree` The angle of the end point in radians.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ActionRotateTo()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `float` | `getFromDegree()` Gets the angle in the beginning.
    `float` | `getRotateToDegree()` Gets the angle in the end.
    `void` | `setFromDegree(float mFromDegree)` Sets the angle in the beginning.
    `void` | `setRotateToDegree(float mRotateToDegree)` Sets the angle in the end.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### mFromDegree

          protected float mFromDegree

      The angle of the start point in radians.

    - #### mRotateToDegree

          protected float mRotateToDegree

      The angle of the end point in radians.

  - ### Constructor Detail

    - #### ActionRotateTo

          public ActionRotateTo()

  - ### Method Detail

    - #### getFromDegree

          public float getFromDegree()

      Gets the angle in the beginning.
      Returns:
        The angle in the beginning.

    - #### setFromDegree

          public void setFromDegree(float mFromDegree)

      Sets the angle in the beginning.
      Parameters:
        `mFromDegree` - The angle in the beginning.

    - #### getRotateToDegree

          public float getRotateToDegree()

      Gets the angle in the end.
      Returns:
        The angle in the end.

    - #### setRotateToDegree

          public void setRotateToDegree(float mRotateToDegree)

      Sets the angle in the end.
      Parameters:
        `mRotateToDegree` - The angle in the end.